Package org.apache.jmeter.gui.action

# Class CollapseExpand

java.lang.Object
org.apache.jmeter.gui.action.AbstractAction
org.apache.jmeter.gui.action.CollapseExpand

All Implemented Interfaces:
  `Command`

@AutoService(Command.class) public class CollapseExpand extends AbstractAction
Processes the Collapse All and Expand All options.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CollapseExpand()`
  Constructor for the CollapseExpand object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doAction(ActionEvent e)`
  This method performs the actual command processing.
  `Set<String>`
  `getActionNames()`
  Gets the ActionNames attribute of the CollapseExpand object.

  ### Methods inherited from class org.apache.jmeter.gui.action.AbstractAction

  `getParentFrame, popupCheckExistingFileListener, popupShouldSave`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CollapseExpand

    public CollapseExpand()
    Constructor for the CollapseExpand object.

- ## Method Details

  - ### getActionNames

    public Set<String> getActionNames()
    Gets the ActionNames attribute of the CollapseExpand object.
    Returns:
      the ActionNames value

  - ### doAction

    public void doAction(ActionEvent e)
    This method performs the actual command processing.
    Specified by:
      `doAction` in interface `Command`
    Overrides:
      `doAction` in class `AbstractAction`
    Parameters:
      `e` - the generic UI action event
    See Also:
      - `Command.doAction(ActionEvent)`